/* ========== FOOTER SECTION ========== */
.footer {
	background-color: #fff;
	color: #0033ff;
	padding-block: 40px;
	overflow: hidden;
}

/* --- ВЕРХНЯЯ ЧАСТЬ --- */
.footer__top {
	display: flex;
	justify-content: space-between;
	align-items: flex-end;
	padding-top: 60px;
	padding-bottom: 10px;
	border-bottom: 3px solid #0033ff;
	position: relative;
}

/* Логотип слева */
.footer__brand {
	display: flex;
	align-items: center;
	gap: 10px;
	margin-bottom: 5px;
}

.footer__logo-img {
	width: 45px;
	height: auto;
}

.footer__logo-text {
	font-size: 32px;
	font-weight: 900;
	letter-spacing: 1px;
}

.footer__title {
	margin: 0;
	font-size: 14px;
	font-weight: 800;
	text-align: right;
	line-height: 1.2;
	margin-bottom: 5px;
}

/* РОБОТ ПО ЦЕНТРУ */
.footer__robot {
	position: absolute;
	left: 50%;
	bottom: -62px;
	transform: translateX(-50%);
	z-index: 0;
}

.footer__robot-img {
	width: 163px;
	display: block;
}

/* --- НИЖНЯЯ ЧАСТЬ --- */
.footer__bottom {
	padding-top: 30px;
}

.footer__contact-title {
	margin: 0;
	font-size: 16px;
	font-weight: 700;
}

.footer__phone {
	display: block;
	font-size: 16px;
	font-weight: 700;
	color: #0033ff;
	text-decoration: none;
	margin-top: 15px;
}

.footer__content {
	display: flex;
	margin-top: 40px;
	justify-content: flex-start;
	gap: 80px;
}

.footer__column p {
	margin: 0;
	font-size: 15px;
	font-weight: 900;
	line-height: 1.4;
}

.footer__copyright {
	margin-left: auto;

	text-align: left;
}

.copyright-label {
	margin-bottom: 2px;
}

.footer--column .footer__robot {
	display: none;

}

/* ========== FOOTER RESPONSIVE ========== */
@media screen and (max-width: 768px) {
	.footer--column .footer__top {
		padding-bottom: 150px;
		margin-bottom: 36px;
	}

	.footer__top {
		padding: 40px 0;
		flex-direction: column;
		align-items: center;
		text-align: center;
		gap: 30px;
		margin-bottom: 70px;
	}

	.footer__brand {
		margin-bottom: 0;
	}

	.footer__title br {
		display: none;
	}

	.footer__info {
		margin-bottom: -100px;
		order: 2;
	}

	.footer__title {
		text-align: center;
		font-size: 16px;
	}

	.footer__robot {
		position: relative;
		left: auto;
		bottom: -109px;
		transform: none;
		min-height: 150px;
		order: 3;
	}

	.footer__robot-img {
		max-width: 180px;
		width: 180px;
	}

	.footer__contact {
		text-align: center;
		margin-bottom: 20px;
	}

	.footer__contact-title {
		font-size: 14px;
	}

	.footer__phone {
		font-size: 18px;
	}

	.footer__content {
		flex-direction: column;
		gap: 40px;
		text-align: center;
	}

	.footer__column p {
		font-size: 14px;
	}

	.footer__bottom {
		padding-top: 30px;
	}

	.footer__copyright {
		margin-left: 0;

		text-align: center;
	}
}

@media screen and (max-width: 600px) {
	.footer--column .footer__top {
		padding-bottom: 120px;
		margin-bottom: 36px;
	}

	.footer__top {
		padding: 30px 0;
		gap: 20px;
	}

	.footer__title {
		font-size: 14px;
		margin-bottom: 40px;
	}

	.footer__robot {
		bottom: -88px;
		min-height: 120px;
	}

	.footer__robot-img {
		max-width: 150px;
		width: 150px;
	}

	.footer__bottom {
		padding-block: 25px;
	}

	.footer__contact {
		text-align: center;
		margin-bottom: 20px;
	}

	.footer__contact-title {
		font-size: 12px;
		margin-bottom: 6px;
	}

	.footer__phone {
		font-size: 16px;
	}

	.footer__content {
		text-align: center;
		flex-direction: column;
		gap: 20px;
	}

	.footer__column p {
		font-size: 14px;
	}

	.footer__column {
		gap: 6px;
	}
}

@media screen and (max-width: 480px) {
	.footer__top {
		padding: 25px 0;

	}

	.footer__title {
		font-size: 12px;
		line-height: 1.2;
	}

	.footer__robot {
		min-height: 100px;
		bottom: -72px;
	}

	.footer__robot-img {
		max-width: 120px;
		width: 120px;
	}

	.footer__contact-title {
		font-size: 12px;
	}

	.footer__phone {
		font-size: 14px;
	}

	.footer__contact {
		margin-bottom: 15px;
	}

	.footer__column p {
		font-size: 12px;
	}

	.footer__logo-text {
		font-size: 24px;
	}
}

@media screen and (max-width: 360px) {
	.footer__top {
		padding: 20px 0;
	}

	.footer__logo-img {
		width: 35px;
	}

	.footer__logo-text {
		font-size: 20px;
	}

	.footer__title {
		font-size: 11px;
	}

	.footer__robot {
		min-height: 80px;
		bottom: -59px;
	}

	.footer__robot-img {
		max-width: 100px;
		width: 100px;
	}

	.footer__contact-title {
		font-size: 11px;
	}

	.footer__phone {
		font-size: 12px;
	}

	.footer__bottom {
		padding-block: 20px;
	}

	.footer__column p {
		font-size: 11px;
	}
}